Subject: Re: [bitcoin-dev] [BIP-draft] CHECKSEQUENCEVERIFY - An opcode for relative locktime

From: Tom Harding <[email-masked]>
Date: Sun, 23 Aug 2015 17:25:20 -0700

ack no inversion. This can actually allow more direct preservation of
existing semantics.

http://lists.linuxfoundation.org/pipermail/bitcoin-dev/2015-July/009350.html

On 8/19/2015 9:21 AM, Mark Friedenbach via bitcoin-dev wrote:
> I am indifferent on this issue (the bit inversion), but so far only
> Jorge has spoken up. I opted for this detail during implementation in
> order to preserve existing semantics, even if those semantics are not
> commonly used. This was the conservative choice, driven in part
> because I didn't want the proposal to be held up by the other side
> saying "this is confusing because it changes how sequence numbers
> work! it used to count up but now it counts down!"
>
> I can see both sides and as I said I'm indifferent, so I went with the
> conservative choice of not messing with existing semantics. However if
> there is strong preferences from _multiple_ people on this matter it
> is not too late to change. If anyone feels strongly about this, please
> speak up.
>
> On Wed, Aug 19, 2015 at 3:37 AM, Jorge Timón
> <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>     I repeated my nit on https://github.com/bitcoin/bips/pull/179
>
>
>     On Mon, Aug 17, 2015 at 9:58 PM, Btc Drak via bitcoin-dev
>     <[email-masked]
>     <mailto:[email-masked]>> wrote:
>     > Please note there is now a PR for this BIP[1] and also a pull
>     request for
>     > the opcode CHECKSEQUENCEVERIFY in Bitcoin Core[2].
>     >
>     > [1] https://github.com/bitcoin/bips/pull/179
>     > [2] https://github.com/bitcoin/bitcoin/pull/6564
>